org.apache.calcite.avatica.proto

## Class Common.ConnectionProperties

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite
  - - com.google.protobuf.AbstractMessage
    - - com.google.protobuf.GeneratedMessageV3
      - - org.apache.calcite.avatica.proto.Common.ConnectionProperties

All Implemented Interfaces:
  com.google.protobuf.Message, com.google.protobuf.MessageLite, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, Serializable, Common.ConnectionPropertiesOrBuilder

Enclosing class:
  Common

    public static final class Common.ConnectionProperties
    extends com.google.protobuf.GeneratedMessageV3
    implements Common.ConnectionPropertiesOrBuilder

     Details about a connection

Protobuf type `ConnectionProperties`

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `Common.ConnectionProperties.Builder` Details about a connection

### Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageV3

`com.google.protobuf.GeneratedMessageV3.BuilderParent, com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage,BuilderType extends com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType,BuilderType>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.FieldAccessorTable`

### Field Summary

Fields
`static int` `AUTO_COMMIT_FIELD_NUMBER`
`private boolean` `autoCommit_`
`private Object` `catalog_`
`static int` `CATALOG_FIELD_NUMBER`
`private static Common.ConnectionProperties` `DEFAULT_INSTANCE`
`static int` `HAS_AUTO_COMMIT_FIELD_NUMBER`
`static int` `HAS_READ_ONLY_FIELD_NUMBER`
`private boolean` `hasAutoCommit_`
`private boolean` `hasReadOnly_`
`static int` `IS_DIRTY_FIELD_NUMBER`
`private boolean` `isDirty_`
`private byte` `memoizedIsInitialized`
`private static com.google.protobuf.Parser<Common.ConnectionProperties>` `PARSER`
`static int` `READ_ONLY_FIELD_NUMBER`
`private boolean` `readOnly_`
`private Object` `schema_`
`static int` `SCHEMA_FIELD_NUMBER`
`private static long` `serialVersionUID`
`static int` `TRANSACTION_ISOLATION_FIELD_NUMBER`
`private int` `transactionIsolation_`

### Fields inherited from class com.google.protobuf.GeneratedMessageV3

`alwaysUseFieldBuilders, unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessage

`memoizedSize`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

### Constructor Summary

Constructors
`private` `Common.ConnectionProperties()`
`private` `Common.ConnectionProperties(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`private` `Common.ConnectionProperties(com.google.protobuf.GeneratedMessageV3.Builder<?> builder)`

### Method Summary

Methods
`boolean` `equals(Object obj)`
`boolean` `getAutoCommit()` `optional bool auto_commit = 2;`
`String` `getCatalog()` `optional string catalog = 5;`
`com.google.protobuf.ByteString` `getCatalogBytes()` `optional string catalog = 5;`
`static Common.ConnectionProperties` `getDefaultInstance()`
`Common.ConnectionProperties` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`boolean` `getHasAutoCommit()` field is a Boolean, need to discern null and default value
`boolean` `getHasReadOnly()` field is a Boolean, need to discern null and default value
`boolean` `getIsDirty()` `optional bool is_dirty = 1;`
`com.google.protobuf.Parser<Common.ConnectionProperties>` `getParserForType()`
`boolean` `getReadOnly()` `optional bool read_only = 3;`
`String` `getSchema()` `optional string schema = 6;`
`com.google.protobuf.ByteString` `getSchemaBytes()` `optional string schema = 6;`
`int` `getSerializedSize()`
`int` `getTransactionIsolation()` `optional uint32 transaction_isolation = 4;`
`com.google.protobuf.UnknownFieldSet` `getUnknownFields()`
`int` `hashCode()`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`static Common.ConnectionProperties.Builder` `newBuilder()`
`static Common.ConnectionProperties.Builder` `newBuilder(Common.ConnectionProperties prototype)`
`Common.ConnectionProperties.Builder` `newBuilderForType()`
`protected Common.ConnectionProperties.Builder` `newBuilderForType(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)`
`static Common.ConnectionProperties` `parseDelimitedFrom(InputStream input)`
`static Common.ConnectionProperties` `parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static Common.ConnectionProperties` `parseFrom(byte[] data)`
`static Common.ConnectionProperties` `parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static Common.ConnectionProperties` `parseFrom(com.google.protobuf.ByteString data)`
`static Common.ConnectionProperties` `parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static Common.ConnectionProperties` `parseFrom(com.google.protobuf.CodedInputStream input)`
`static Common.ConnectionProperties` `parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static Common.ConnectionProperties` `parseFrom(InputStream input)`
`static Common.ConnectionProperties` `parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static com.google.protobuf.Parser<Common.ConnectionProperties>` `parser()`
`Common.ConnectionProperties.Builder` `toBuilder()`
`void` `writeTo(com.google.protobuf.CodedOutputStream output)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3

`computeStringSize, computeStringSizeNoTag, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof, internalGetMapField, makeExtensionsImmutable, newBuilderForType, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

### Methods inherited from class com.google.protobuf.AbstractMessage

`findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLite

`toByteArray, toByteString, writeDelimitedTo, writeTo`

### Field Detail

#### IS_DIRTY_FIELD_NUMBER

    public static final int IS_DIRTY_FIELD_NUMBER

See Also:
  Constant Field Values

#### isDirty_

    private boolean isDirty_

#### AUTO_COMMIT_FIELD_NUMBER

    public static final int AUTO_COMMIT_FIELD_NUMBER

See Also:
  Constant Field Values

#### autoCommit_

    private boolean autoCommit_

#### HAS_AUTO_COMMIT_FIELD_NUMBER

    public static final int HAS_AUTO_COMMIT_FIELD_NUMBER

See Also:
  Constant Field Values

#### hasAutoCommit_

    private boolean hasAutoCommit_

#### READ_ONLY_FIELD_NUMBER

    public static final int READ_ONLY_FIELD_NUMBER

See Also:
  Constant Field Values

#### readOnly_

    private boolean readOnly_

#### HAS_READ_ONLY_FIELD_NUMBER

    public static final int HAS_READ_ONLY_FIELD_NUMBER

See Also:
  Constant Field Values

#### hasReadOnly_

    private boolean hasReadOnly_

#### TRANSACTION_ISOLATION_FIELD_NUMBER

    public static final int TRANSACTION_ISOLATION_FIELD_NUMBER

See Also:
  Constant Field Values

#### transactionIsolation_

    private int transactionIsolation_

#### CATALOG_FIELD_NUMBER

    public static final int CATALOG_FIELD_NUMBER

See Also:
  Constant Field Values

#### catalog_

    private volatile Object catalog_

#### SCHEMA_FIELD_NUMBER

    public static final int SCHEMA_FIELD_NUMBER

See Also:
  Constant Field Values

#### schema_

    private volatile Object schema_

#### memoizedIsInitialized

    private byte memoizedIsInitialized

#### serialVersionUID

    private static final long serialVersionUID

See Also:
  Constant Field Values

#### DEFAULT_INSTANCE

    private static final Common.ConnectionProperties DEFAULT_INSTANCE

#### PARSER

    private static final com.google.protobuf.Parser<Common.ConnectionProperties> PARSER

### Constructor Detail

#### Common.ConnectionProperties

    private Common.ConnectionProperties(com.google.protobuf.GeneratedMessageV3.Builder<?> builder)

#### Common.ConnectionProperties

    private Common.ConnectionProperties()

#### Common.ConnectionProperties

    private Common.ConnectionProperties(com.google.protobuf.CodedInputStream input,
                               com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                 throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### Method Detail

#### getUnknownFields

    public final com.google.protobuf.UnknownFieldSet getUnknownFields()

Specified by:
  `getUnknownFields` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getUnknownFields` in class `com.google.protobuf.GeneratedMessageV3`

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3`

#### getIsDirty

    public boolean getIsDirty()

`optional bool is_dirty = 1;`

Specified by:
  `getIsDirty` in interface `Common.ConnectionPropertiesOrBuilder`

#### getAutoCommit

    public boolean getAutoCommit()

`optional bool auto_commit = 2;`

Specified by:
  `getAutoCommit` in interface `Common.ConnectionPropertiesOrBuilder`

#### getHasAutoCommit

    public boolean getHasAutoCommit()

     field is a Boolean, need to discern null and default value

`optional bool has_auto_commit = 7;`

Specified by:
  `getHasAutoCommit` in interface `Common.ConnectionPropertiesOrBuilder`

#### getReadOnly

    public boolean getReadOnly()

`optional bool read_only = 3;`

Specified by:
  `getReadOnly` in interface `Common.ConnectionPropertiesOrBuilder`

#### getHasReadOnly

    public boolean getHasReadOnly()

     field is a Boolean, need to discern null and default value

`optional bool has_read_only = 8;`

Specified by:
  `getHasReadOnly` in interface `Common.ConnectionPropertiesOrBuilder`

#### getTransactionIsolation

    public int getTransactionIsolation()

`optional uint32 transaction_isolation = 4;`

Specified by:
  `getTransactionIsolation` in interface `Common.ConnectionPropertiesOrBuilder`

#### getCatalog

    public String getCatalog()

`optional string catalog = 5;`

Specified by:
  `getCatalog` in interface `Common.ConnectionPropertiesOrBuilder`

#### getCatalogBytes

    public com.google.protobuf.ByteString getCatalogBytes()

`optional string catalog = 5;`

Specified by:
  `getCatalogBytes` in interface `Common.ConnectionPropertiesOrBuilder`

#### getSchema

    public String getSchema()

`optional string schema = 6;`

Specified by:
  `getSchema` in interface `Common.ConnectionPropertiesOrBuilder`

#### getSchemaBytes

    public com.google.protobuf.ByteString getSchemaBytes()

`optional string schema = 6;`

Specified by:
  `getSchemaBytes` in interface `Common.ConnectionPropertiesOrBuilder`

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3`

#### writeTo

    public void writeTo(com.google.protobuf.CodedOutputStream output)
                 throws IOException

Specified by:
  `writeTo` in interface `com.google.protobuf.MessageLite`
Overrides:
  `writeTo` in class `com.google.protobuf.GeneratedMessageV3`
Throws:
  `IOException`

#### getSerializedSize

    public int getSerializedSize()

Specified by:
  `getSerializedSize` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getSerializedSize` in class `com.google.protobuf.GeneratedMessageV3`

#### equals

    public boolean equals(Object obj)

Specified by:
  `equals` in interface `com.google.protobuf.Message`
Overrides:
  `equals` in class `com.google.protobuf.AbstractMessage`

#### hashCode

    public int hashCode()

Specified by:
  `hashCode` in interface `com.google.protobuf.Message`
Overrides:
  `hashCode` in class `com.google.protobuf.AbstractMessage`

#### parseFrom

    public static Common.ConnectionProperties parseFrom(com.google.protobuf.ByteString data)
                                                 throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static Common.ConnectionProperties parseFrom(com.google.protobuf.ByteString data,
                                        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                 throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static Common.ConnectionProperties parseFrom(byte[] data)
                                                 throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static Common.ConnectionProperties parseFrom(byte[] data,
                                        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                 throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static Common.ConnectionProperties parseFrom(InputStream input)
                                                 throws IOException

Throws:
  `IOException`

#### parseFrom

    public static Common.ConnectionProperties parseFrom(InputStream input,
                                        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                 throws IOException

Throws:
  `IOException`

#### parseDelimitedFrom

    public static Common.ConnectionProperties parseDelimitedFrom(InputStream input)
                                                          throws IOException

Throws:
  `IOException`

#### parseDelimitedFrom

    public static Common.ConnectionProperties parseDelimitedFrom(InputStream input,
                                                 com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                          throws IOException

Throws:
  `IOException`

#### parseFrom

    public static Common.ConnectionProperties parseFrom(com.google.protobuf.CodedInputStream input)
                                                 throws IOException

Throws:
  `IOException`

#### parseFrom

    public static Common.ConnectionProperties parseFrom(com.google.protobuf.CodedInputStream input,
                                        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                 throws IOException

Throws:
  `IOException`

#### newBuilderForType

    public Common.ConnectionProperties.Builder newBuilderForType()

Specified by:
  `newBuilderForType` in interface `com.google.protobuf.Message`
Specified by:
  `newBuilderForType` in interface `com.google.protobuf.MessageLite`

#### newBuilder

    public static Common.ConnectionProperties.Builder newBuilder()

#### newBuilder

    public static Common.ConnectionProperties.Builder newBuilder(Common.ConnectionProperties prototype)

#### toBuilder

    public Common.ConnectionProperties.Builder toBuilder()

Specified by:
  `toBuilder` in interface `com.google.protobuf.Message`
Specified by:
  `toBuilder` in interface `com.google.protobuf.MessageLite`

#### newBuilderForType

    protected Common.ConnectionProperties.Builder newBuilderForType(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

Specified by:
  `newBuilderForType` in class `com.google.protobuf.GeneratedMessageV3`

#### getDefaultInstance

    public static Common.ConnectionProperties getDefaultInstance()

#### parser

    public static com.google.protobuf.Parser<Common.ConnectionProperties> parser()

#### getParserForType

    public com.google.protobuf.Parser<Common.ConnectionProperties> getParserForType()

Specified by:
  `getParserForType` in interface `com.google.protobuf.Message`
Specified by:
  `getParserForType` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getParserForType` in class `com.google.protobuf.GeneratedMessageV3`

#### getDefaultInstanceForType

    public Common.ConnectionProperties getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`